---
title: TrackDefaultList.TrackDefault()
slug: Web/API/TrackDefaultList/TrackDefault
tags:
  - API
  - Audio
  - Extensions
  - Getter
  - MSE
  - Media
  - Method
  - Reference
  - Video
  - source
---
<div>{{APIRef("Media Source Extensions")}}{{Obsolete_Header}}</div>

<p>The <code><strong>TrackDefault()</strong></code> getter method of the {{domxref("TrackDefaultList")}} interface allows the <code>TrackDefault</code> objects in the list to be accessed with an array operator (i.e. <code>[]</code>.)</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myTrackDefault = TrackDefaultList[index];</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>index</dt>
 <dd>The index position of the {{domxref("TrackDefault")}} object you want to return.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>A {{domxref("TrackDefault")}} object.</p>

<h3 id="Errors">Errors</h3>

<p>No specific errors are returned, but if the supplied index is great than or equal to {{domxref("TrackDefaultList.length")}}, the operation will return <code>undefined</code>.</p>

<h2 id="Example">Example</h2>

<p>TBD.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>
<div>

<p>{{Compat("api.TrackDefaultList.TrackDefault")}}</p>
</div>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("MediaSource")}}</li>
 <li>{{domxref("SourceBuffer")}}</li>
 <li>{{domxref("TrackDefaultList")}}</li>
</ul>
